------------------------------------------------------------
--          ATC 810 SFD instructor Station Beta           --
--          (c)J. Zahar 05/2016 					      --  
------------------------------------------------------------
-- Type of switch to display : 
--     1: Vertical Rocker switch (color RED) with complete black bezel (standalone switch) 
--     2: Vertical Rocker switch (color RED) with left bezel only (to be assembled with another center or right switch)
--     3: Vertical Rocker switch (color RED) with right bezel only (to be assembled with another center or left switch)
--     4: vertical Rocker switch (color RED) without left/right bezel (to be assembled in between another left or right switch)
--     5: Vertical Rocker switch (color WHITE) with complete black bezel (standalone switch) 
--     6: Vertical Rocker switch (color WHITE) with left bezel only (to be assembled with another center or right switch)
--     7: Vertical Rocker switch (color WHITE) with right bezel only (to be assembled with another center or right switch)
--     8: vertical Rocker switch (color WHITE) without left/right bezel (to be assembled in between another left or right switch)
img_add_fullscreen("img_bkg.png")
-- SWITCH N° 01 ----------------------------------------------------------------

switch_display_type1= 2
switch_position_x1=20
switch_position_y1=50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function1="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type1="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var1="VAC. FAIL."                                   -- FSX Event 
fsx_switch_function1="TOGGLE_VACUUM_FAILURE"                      -- FSX action to perform
fsx_switch_type1="Bool"                                          -- FSX function variable type returned 
txt_switch1 = txt_add(fsx_switch_var1, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x1+20, switch_position_y1-30, 40, 100)

function switch_click_callback1(position)

    if position == 0 then
        switch_set_state(switch_id1, 1)
        xpl_dataref_write(xpl_switch_function1,xpl_switch_type1, 1)
        fsx_event(fsx_switch_function1)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function1,xpl_switch_type1, 0)
        switch_set_state(switch_id1, 0)
        fsx_event(fsx_switch_function1)
    end

end

if switch_display_type1==1 then
	switch_id1= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x1,switch_position_y1,75,130,switch_click_callback1)
	end
if switch_display_type1==2 then
	switch_id1 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x1,switch_position_y1,60,130,switch_click_callback1)
	end
if switch_display_type1==3 then
	switch_id1 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x1,switch_position_y1,60,130,switch_click_callback1)
	end
if switch_display_type1==4 then
	switch_id1 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x1,switch_position_y1,40,130,switch_click_callback1)
	end
if switch_display_type1==5 then
	switch_id1= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x1,switch_position_y1,75,130,switch_click_callback1)
	end
	if switch_display_type1==6 then
	switch_id1 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x1,switch_position_y1,60,130,switch_click_callback1)
	end
if switch_display_type1==7 then
	switch_id1 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x1,switch_position_y1,60,130,switch_click_callback1)
	end
if switch_display_type1==8 then
	switch_id1 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x1,switch_position_y1,40,130,switch_click_callback1)
	end


function new_switch_pos1(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id1, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id1, 1)
    end
    
end


function new_switch_pos_fsx1(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos1(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function1,xpl_switch_type1,new_switch_pos1)
fsx_variable_subscribe(fsx_switch_function1, fsx_switch_type1, new_switch_pos_fsx1)
--------------------------------------------------------------------------------

-- SWITCH N° 02 ----------------------------------------------------------------
switch_display_type2= 4
switch_position_x2=20+60
switch_position_y2=50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function2="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type2="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var2="ELEC. FAIL."                                   -- FSX Event 
fsx_switch_function2="TOGGLE_ELECTRICAL_FAILURE"                      -- FSX action to perform
fsx_switch_type2="Bool"                                          -- FSX function variable type returned 
txt_switch2 = txt_add(fsx_switch_var2, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x2+5, switch_position_y2-30, 40, 100)

function switch_click_callback2(position)

    if position == 0 then
        switch_set_state(switch_id2, 1)
        xpl_dataref_write(xpl_switch_function2,xpl_switch_type2, 1)
        fsx_event(fsx_switch_function2)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function2,xpl_switch_type2, 0)
        switch_set_state(switch_id2, 0)
        fsx_event(fsx_switch_function2)
    end

end

if switch_display_type2==1 then
	switch_id2= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x2,switch_position_y2,75,130,switch_click_callback2)
	end
if switch_display_type2==2 then
	switch_id2 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x2,switch_position_y2,60,130,switch_click_callback2)
	end
if switch_display_type2==3 then
	switch_id2 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x2,switch_position_y2,60,130,switch_click_callback2)
	end
if switch_display_type2==4 then
	switch_id2 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x2,switch_position_y2,45,130,switch_click_callback2)
	end
if switch_display_type2==5 then
	switch_id2= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x2,switch_position_y2,75,130,switch_click_callback2)
	end
	if switch_display_type2==6 then
	switch_id2 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x2,switch_position_y2,60,130,switch_click_callback2)
	end
if switch_display_type2==7 then
	switch_id2 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x2,switch_position_y2,60,130,switch_click_callback2)
	end
if switch_display_type2==8 then
	switch_id2 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x2,switch_position_y2,45,130,switch_click_callback2)
	end


function new_switch_pos2(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id2, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id2, 1)
    end
    
end


function new_switch_pos_fsx2(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos2(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function2,xpl_switch_type2,new_switch_pos2)
fsx_variable_subscribe(fsx_switch_function2, fsx_switch_type2, new_switch_pos_fsx2)
--------------------------------------------------------------------------------


-- SWITCH N° 03 ----------------------------------------------------------------
switch_display_type3= 4
switch_position_x3=20+60+45
switch_position_y3=50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function3="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type3="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var3="HYD. FAIL."                                   -- FSX Event 
fsx_switch_function3="TOGGLE_HYDRAULIC_FAILURE"                      -- FSX action to perform
fsx_switch_type3="Bool"                                          -- FSX function variable type returned 
txt_switch3 = txt_add(fsx_switch_var3, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x3+5, switch_position_y3-30, 40, 100)

function switch_click_callback3(position)

    if position == 0 then
        switch_set_state(switch_id3, 1)
        xpl_dataref_write(xpl_switch_function3,xpl_switch_type3, 1)
        fsx_event(fsx_switch_function3)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function3,xpl_switch_type3, 0)
        switch_set_state(switch_id3, 0)
        fsx_event(fsx_switch_function3)
    end

end

if switch_display_type3==1 then
	switch_id3= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x3,switch_position_y3,75,130,switch_click_callback3)
	end
if switch_display_type3==2 then
	switch_id3 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x3,switch_position_y3,60,130,switch_click_callback3)
	end
if switch_display_type3==3 then
	switch_id3 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x3,switch_position_y3,60,130,switch_click_callback3)
	end
if switch_display_type3==4 then
	switch_id3 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x3,switch_position_y3,45,130,switch_click_callback3)
	end
if switch_display_type3==5 then
	switch_id3= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x3,switch_position_y3,75,130,switch_click_callback3)
	end
	if switch_display_type3==6 then
	switch_id3 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x3,switch_position_y3,60,130,switch_click_callback3)
	end
if switch_display_type3==7 then
	switch_id3 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x3,switch_position_y3,60,130,switch_click_callback3)
	end
if switch_display_type3==8 then
	switch_id3 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x3,switch_position_y3,45,130,switch_click_callback3)
	end


function new_switch_pos3(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id3, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id3, 1)
    end
    
end


function new_switch_pos_fsx3(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos3(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function3,xpl_switch_type3,new_switch_pos3)
fsx_variable_subscribe(fsx_switch_function3, fsx_switch_type3, new_switch_pos_fsx3)
--------------------------------------------------------------------------------

-- SWITCH N° 04 ----------------------------------------------------------------
switch_display_type4= 3
switch_position_x4=20+60+45+45
switch_position_y4=50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function4="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type4="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var4="BRAKE FAIL."                                   -- FSX Event 
fsx_switch_function4="TOGGLE_TOTAL_BRAKE_FAILURE"                      -- FSX action to perform
fsx_switch_type4="Bool"                                          -- FSX function variable type returned 
txt_switch4 = txt_add(fsx_switch_var4, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x4, switch_position_y4-30, 50, 100)

function switch_click_callback4(position)

    if position == 0 then
        switch_set_state(switch_id4, 1)
        xpl_dataref_write(xpl_switch_function4,xpl_switch_type4, 1)
        fsx_event(fsx_switch_function4)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function4,xpl_switch_type4, 0)
        switch_set_state(switch_id4, 0)
        fsx_event(fsx_switch_function4)
    end

end

if switch_display_type4==1 then
	switch_id4= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x4,switch_position_y4,75,130,switch_click_callback4)
	end
if switch_display_type4==2 then
	switch_id4 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x4,switch_position_y4,60,130,switch_click_callback4)
	end
if switch_display_type4==3 then
	switch_id4 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x4,switch_position_y4,60,130,switch_click_callback4)
	end
if switch_display_type4==4 then
	switch_id4 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x4,switch_position_y4,45,130,switch_click_callback4)
	end
if switch_display_type4==5 then
	switch_id4= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x4,switch_position_y4,75,130,switch_click_callback4)
	end
	if switch_display_type4==6 then
	switch_id4 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x4,switch_position_y4,60,130,switch_click_callback4)
	end
if switch_display_type4==7 then
	switch_id4 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x4,switch_position_y4,60,130,switch_click_callback4)
	end
if switch_display_type4==8 then
	switch_id4 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x4,switch_position_y4,45,130,switch_click_callback4)
	end


function new_switch_pos4(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id4, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id4, 1)
    end
    
end


function new_switch_pos_fsx4(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos4(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function4,xpl_switch_type4,new_switch_pos4)
fsx_variable_subscribe(fsx_switch_function4, fsx_switch_type4, new_switch_pos_fsx4)
--------------------------------------------------------------------------------

-- SWITCH N° 05 ----------------------------------------------------------------
switch_display_type5= 2
switch_position_x5=20+60+45+45+100 --20
switch_position_y5=50 --320                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function5="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type5="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var5="LEFT ENG. FAIL."                                   -- FSX Event 
fsx_switch_function5="TOGGLE_ENGINE1_FAILURE"                      -- FSX action to perform
fsx_switch_type5="Bool"                                          -- FSX function variable type returned 
txt_switch5 = txt_add(fsx_switch_var5, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x5+20, switch_position_y5-40, 40, 100)

function switch_click_callback5(position)

    if position == 0 then
        switch_set_state(switch_id5, 1)
        xpl_dataref_write(xpl_switch_function5,xpl_switch_type5, 1)
        fsx_event(fsx_switch_function5)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function5,xpl_switch_type5, 0)
        switch_set_state(switch_id5, 0)
        fsx_event(fsx_switch_function5)
    end

end

if switch_display_type5==1 then
	switch_id5= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x5,switch_position_y5,75,130,switch_click_callback5)
	end
if switch_display_type5==2 then
	switch_id5 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x5,switch_position_y5,60,130,switch_click_callback5)
	end
if switch_display_type5==3 then
	switch_id5 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x5,switch_position_y5,60,130,switch_click_callback5)
	end
if switch_display_type5==4 then
	switch_id5 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x5,switch_position_y5,45,130,switch_click_callback5)
	end
if switch_display_type5==5 then
	switch_id5= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x5,switch_position_y5,75,130,switch_click_callback5)
	end
	if switch_display_type5==6 then
	switch_id5 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x5,switch_position_y5,60,130,switch_click_callback5)
	end
if switch_display_type5==7 then
	switch_id5 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x5,switch_position_y5,60,130,switch_click_callback5)
	end
if switch_display_type5==8 then
	switch_id5 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x5,switch_position_y5,45,130,switch_click_callback5)
	end


function new_switch_pos5(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id5, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id5, 1)
    end
    
end


function new_switch_pos_fsx5(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos5(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function5,xpl_switch_type5,new_switch_pos5)
fsx_variable_subscribe(fsx_switch_function5, fsx_switch_type5, new_switch_pos_fsx5)
--------------------------------------------------------------------------------

-- SWITCH N° 06 ----------------------------------------------------------------
switch_display_type6= 3
switch_position_x6=20+60+45+45+100+60 --20
switch_position_y6=50 --50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function6="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type6="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var6="RIGHT ENG. FAIL."                                   -- FSX Event 
fsx_switch_function6="TOGGLE_ENGINE2_FAILURE"                      -- FSX action to perform
fsx_switch_type6="Bool"                                          -- FSX function variable type returned 
txt_switch6 = txt_add(fsx_switch_var6, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x6+5, switch_position_y6-40, 40, 100)

function switch_click_callback6(position)

    if position == 0 then
        switch_set_state(switch_id6, 1)
        xpl_dataref_write(xpl_switch_function6,xpl_switch_type6, 1)
        fsx_event(fsx_switch_function6)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function6,xpl_switch_type6, 0)
        switch_set_state(switch_id6, 0)
        fsx_event(fsx_switch_function6)
    end

end

if switch_display_type6==1 then
	switch_id6= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x6,switch_position_y6,75,130,switch_click_callback6)
	end
if switch_display_type6==2 then
	switch_id6 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x6,switch_position_y6,60,130,switch_click_callback6)
	end
if switch_display_type6==3 then
	switch_id6 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x6,switch_position_y6,60,130,switch_click_callback6)
	end
if switch_display_type6==4 then
	switch_id6 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x6,switch_position_y6,45,130,switch_click_callback6)
	end
if switch_display_type6==5 then
	switch_id6= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x6,switch_position_y6,75,130,switch_click_callback6)
	end
	if switch_display_type6==6 then
	switch_id6 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x6,switch_position_y6,60,130,switch_click_callback6)
	end
if switch_display_type6==7 then
	switch_id6 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x6,switch_position_y6,60,130,switch_click_callback6)
	end
if switch_display_type6==8 then
	switch_id6 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x6,switch_position_y6,45,130,switch_click_callback6)
	end


function new_switch_pos6(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id6, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id6, 1)
    end
    
end


function new_switch_pos_fsx6(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos6(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function6,xpl_switch_type6,new_switch_pos6)
fsx_variable_subscribe(fsx_switch_function6, fsx_switch_type6, new_switch_pos_fsx6)
--------------------------------------------------------------------------------

-- SWITCH N° 07 ----------------------------------------------------------------
switch_display_type7= 2
switch_position_x7=20+60+45+45+100+60+100 --20
switch_position_y7=50 --50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function7="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type7="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var7="PITOT BLOCK."                                   -- FSX Event 
fsx_switch_function7="TOGGLE_PITOT_BLOCKAGE" 
fsx_switch_type7="Bool"                                          -- FSX function variable type returned 
txt_switch7 = txt_add(fsx_switch_var7, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x7+15, switch_position_y7-40, 50, 100)

function switch_click_callback7(position)

    if position == 0 then
        switch_set_state(switch_id7, 1)
        xpl_dataref_write(xpl_switch_function7,xpl_switch_type7, 1)
        fsx_event(fsx_switch_function7)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function7,xpl_switch_type7, 0)
        switch_set_state(switch_id7, 0)
        fsx_event(fsx_switch_function7)
    end

end

if switch_display_type7==1 then
	switch_id7= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x7,switch_position_y7,75,130,switch_click_callback7)
	end
if switch_display_type7==2 then
	switch_id7 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x7,switch_position_y7,60,130,switch_click_callback7)
	end
if switch_display_type7==3 then
	switch_id7 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x7,switch_position_y7,60,130,switch_click_callback7)
	end
if switch_display_type7==4 then
	switch_id7 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x7,switch_position_y7,45,130,switch_click_callback7)
	end
if switch_display_type7==5 then
	switch_id7= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x7,switch_position_y7,75,130,switch_click_callback7)
	end
	if switch_display_type7==6 then
	switch_id7 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x7,switch_position_y7,60,130,switch_click_callback7)
	end
if switch_display_type7==7 then
	switch_id7 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x7,switch_position_y7,60,130,switch_click_callback7)
	end
if switch_display_type7==8 then
	switch_id7 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x7,switch_position_y7,45,130,switch_click_callback7)
	end


function new_switch_pos7(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id7, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id7, 1)
    end
    
end


function new_switch_pos_fsx7(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos7(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function7,xpl_switch_type7,new_switch_pos7)
fsx_variable_subscribe(fsx_switch_function7, fsx_switch_type7, new_switch_pos_fsx7)
--------------------------------------------------------------------------------

-- SWITCH N° 08 ----------------------------------------------------------------
switch_display_type8= 3
switch_position_x8=20+60+45+45+100+60+100+60 --20
switch_position_y8=50 --50                                         -- change the number according to the list above (1-8)
-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function8="sim/cockpit/electrical/beacon_lights_on"   -- Xplane function/variable to perform
xpl_switch_type8="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var8="STATIC BLOCK."                                   -- FSX Event 
fsx_switch_function8="TOGGLE_STATIC_PORT_BLOCKAGE"                      -- FSX action to perform
fsx_switch_type8="Bool"                                          -- FSX function variable type returned 
txt_switch8 = txt_add(fsx_switch_var8, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", switch_position_x8+5, switch_position_y8-40, 50, 100)

function switch_click_callback8(position)

    if position == 0 then
        switch_set_state(switch_id8, 1)
        xpl_dataref_write(xpl_switch_function8,xpl_switch_type8, 1)
        fsx_event(fsx_switch_function8)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function8,xpl_switch_type8, 0)
        switch_set_state(switch_id8, 0)
        fsx_event(fsx_switch_function8)
    end

end

if switch_display_type8==1 then
	switch_id8= switch_add("red_ver_complete_off.png", "red_ver_complete_on.png", switch_position_x8,switch_position_y8,75,130,switch_click_callback8)
	end
if switch_display_type8==2 then
	switch_id8 = switch_add("red_ver_left_off.png", "red_ver_left_on.png", switch_position_x8,switch_position_y8,60,130,switch_click_callback8)
	end
if switch_display_type8==3 then
	switch_id8 = switch_add("red_ver_right_off.png", "red_ver_right_on.png", switch_position_x8,switch_position_y8,60,130,switch_click_callback8)
	end
if switch_display_type8==4 then
	switch_id8 = switch_add("red_ver_center_off.png", "red_ver_center_on.png", switch_position_x8,switch_position_y8,45,130,switch_click_callback8)
	end
if switch_display_type8==5 then
	switch_id8= switch_add("white_ver_complete_off.png", "white_ver_complete_on.png", switch_position_x8,switch_position_y8,75,130,switch_click_callback8)
	end
	if switch_display_type8==6 then
	switch_id8 = switch_add("white_ver_left_off.png", "white_ver_left_on.png", switch_position_x8,switch_position_y8,60,130,switch_click_callback8)
	end
if switch_display_type8==7 then
	switch_id8 = switch_add("white_ver_right_off.png", "white_ver_right_on.png", switch_position_x8,switch_position_y8,60,130,switch_click_callback8)
	end
if switch_display_type8==8 then
	switch_id8 = switch_add("white_ver_center_off.png", "white_ver_center_on.png", switch_position_x8,switch_position_y8,45,130,switch_click_callback8)
	end


function new_switch_pos8(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id8, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id8, 1)
    end
    
end


function new_switch_pos_fsx8(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos8(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function8,xpl_switch_type8,new_switch_pos8)
fsx_variable_subscribe(fsx_switch_function8, fsx_switch_type8, new_switch_pos_fsx8)
--------------------------------------------------------------------------------
-- DIAL N° 01 ------------------------------------------------------------------

fsx_dial_function1="FUEL TANK LEFT MAIN LEVEL"
fsx_dial_type1="Percent"
fsx_dial_text1= "L FUEL QTY"
dial_position_x1=200
dial_position_y1=200
dial_value1=100
fsx_variable_write(fsx_dial_function1, fsx_dial_type1, dial_value1)

txt_qty1 = txt_add("100 %", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x1-15, dial_position_y1+70, 100, 100)


function new_knob1(value)
	dial_value1 = dial_value1 + (value*10)
if dial_value1 > 100 then
		dial_value1 = 100
	end
	if dial_value1 < 0 then
		dial_value1 = 0
	end 
	print("Left tank:",dial_value1)
   txt_set(txt_qty1,dial_value1.." %")
	fsx_variable_write(fsx_dial_function1, fsx_dial_type1, dial_value1)
end

txt_button1 = txt_add(fsx_dial_text1, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x1-10, dial_position_y1-10, 100, 100)
img_add("airknobshadow.png",dial_position_x1,dial_position_y1,70,70)
dial_knob1 = dial_add("airknob.png", dial_position_x1, dial_position_y1, 70, 70, new_knob1)
dial_click_rotate(dial_knob1,10)

-- function new_dial_pos_fsx1(value)
   -- value1=value
   	-- print("Left tank:",value)
   -- txt_set(txt_qty1,200)
-- end
xpl_dataref_subscribe(xpl_switch_function8,xpl_switch_type8,new_switch_pos8)
-- fsx_variable_subscribe(fsx_dial_function1, fsx_dial_type1, new_dial_pos_fsx1)

---------------------------------------------------------------------------------
-- DIAL N° 02 ------------------------------------------------------------------

fsx_dial_function2="FUEL TANK RIGHT MAIN LEVEL"
fsx_dial_type2="Percent"
fsx_dial_text2= "R FUEL QTY"
dial_position_x2=280
dial_position_y2=200
dial_value2=100
fsx_variable_write(fsx_dial_function2,fsx_dial_type2, dial_value2)

txt_qty2 = txt_add("100 %", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x2-10, dial_position_y2+70, 100, 100)

function new_knob2(value)
	dial_value2 = dial_value2 + (value*10)
if dial_value2 > 100 then
		dial_value2 = 100
	end
	if dial_value2 < 0 then
		dial_value2 = 0
	end 
	print("Right Tank:",dial_value2)
	fsx_variable_write(fsx_dial_function2, fsx_dial_type2, dial_value2)
	txt_set(txt_qty2,dial_value2.." %")
end

txt_button2 = txt_add(fsx_dial_text2, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x2-15, dial_position_y2-10, 100, 100)
img_add("airknobshadow.png",dial_position_x2,dial_position_y2,70,70)
dial_knob2 = dial_add("airknob.png", dial_position_x2, dial_position_y2, 70, 70, new_knob2)
dial_click_rotate(dial_knob2,10)
---------------------------------------------------------------------------------
-- DIAL N° 03 ------------------------------------------------------------------

fsx_dial_function3="GENERAL ENG OIL PRESSURE:1"
fsx_dial_type3="Psi"
fsx_dial_text3= "L OIL PRESS"
dial_position_x3=380
dial_position_y3=200
dial_value3=100
fsx_variable_write(fsx_dial_function3,fsx_dial_type3, dial_value3)

txt_qty3 = txt_add("100 Psi", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x3-10, dial_position_y3+70, 100, 100)

function new_knob3(value)
	dial_value3 = dial_value3 + (value*10)
if dial_value3 > 100 then
		dial_value3 = 100
	end
	if dial_value3 < 0 then
		dial_value3 = 0
	end 
	print("left Oil Press:",dial_value3)
	fsx_variable_write(fsx_dial_function3, fsx_dial_type3, dial_value3)
	txt_set(txt_qty3,dial_value3.." Psi")
end

txt_button3 = txt_add(fsx_dial_text3, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x3-15, dial_position_y3-10, 100, 100)
img_add("airknobshadow.png",dial_position_x3,dial_position_y3,70,70)
dial_knob3 = dial_add("airknob.png", dial_position_x3, dial_position_y3, 70, 70, new_knob3)
dial_click_rotate(dial_knob3,10)
---------------------------------------------------------------------------------
-- DIAL N° 04 ------------------------------------------------------------------

fsx_dial_function4="GENERAL ENG OIL PRESSURE:2"
fsx_dial_type4="Psi"
fsx_dial_text4= "R OIL PRESS"
dial_position_x4=460
dial_position_y4=200
dial_value4=100
fsx_variable_write(fsx_dial_function4,fsx_dial_type4, dial_value4)

txt_qty4 = txt_add("100 Psi", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x4-10, dial_position_y4+70, 100, 100)

function new_knob4(value)
	dial_value4 = dial_value4 + (value*10)
if dial_value4 > 100 then
		dial_value4 = 100
	end
	if dial_value4 < 0 then
		dial_value4 = 0
	end 
	print("left Oil Press:",dial_value4)
	fsx_variable_write(fsx_dial_function4, fsx_dial_type4, dial_value4)
	txt_set(txt_qty4,dial_value4.." Psi")
end

txt_button4 = txt_add(fsx_dial_text4, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x4-15, dial_position_y4-10, 100, 100)
img_add("airknobshadow.png",dial_position_x4,dial_position_y4,70,70)
dial_knob4 = dial_add("airknob.png", dial_position_x4, dial_position_y4, 70, 70, new_knob4)
dial_click_rotate(dial_knob4,10)
---------------------------------------------------------------------------------

-- DIAL N° 05 ------------------------------------------------------------------

fsx_dial_function5="RECIP ENG CYLINDER HEAD TEMPERATURE:1"
fsx_dial_type5="Celsius"
fsx_dial_text5= "L CYL HD T°"
dial_position_x5=20
dial_position_y5=200
dial_value5=200
fsx_variable_write(fsx_dial_function5,fsx_dial_type5, dial_value5)

txt_qty5 = txt_add(" °C", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x5-10, dial_position_y5+70, 100, 100)

function new_knob5(value)
	dial_value5 = dial_value5 + (value*10)
if dial_value5 > 250 then
		dial_value5 = 250
	end
	if dial_value5 < 0 then
		dial_value5 = 0
	end 
	print("left Oil Press:",dial_value5)
	fsx_variable_write(fsx_dial_function5, fsx_dial_type5, dial_value5)
	txt_set(txt_qty5,dial_value5.." °C")
end

txt_button5 = txt_add(fsx_dial_text5, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x5-15, dial_position_y5-10, 100, 100)
img_add("airknobshadow.png",dial_position_x5,dial_position_y5,70,70)
dial_knob5 = dial_add("airknob.png", dial_position_x5, dial_position_y5, 70, 70, new_knob5)
dial_click_rotate(dial_knob5,10)
---------------------------------------------------------------------------------
-- DIAL N° 06 ------------------------------------------------------------------

fsx_dial_function6="RECIP ENG CYLINDER HEAD TEMPERATURE:2"
fsx_dial_type6="Celsius"
fsx_dial_text6= "R CYL HD T°"
dial_position_x6=100
dial_position_y6=200
dial_value6=200
fsx_variable_write(fsx_dial_function6,fsx_dial_type6, dial_value6)

txt_qty6 = txt_add(" °C", "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x6-10, dial_position_y6+70, 100, 100)

function new_knob6(value)
	dial_value6 = dial_value6 + (value*10)
if dial_value6 > 250 then
		dial_value6 = 250
	end
	if dial_value6 < 0 then
		dial_value6 = 0
	end 
	print("left Oil Press:",dial_value6)
	fsx_variable_write(fsx_dial_function6, fsx_dial_type6, dial_value6)
	txt_set(txt_qty6,dial_value6.." °C")
end

txt_button6 = txt_add(fsx_dial_text6, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", dial_position_x6-15, dial_position_y6-10, 100, 100)
img_add("airknobshadow.png",dial_position_x6,dial_position_y6,70,70)
dial_knob6 = dial_add("airknob.png", dial_position_x6, dial_position_y6, 70, 70, new_knob6)
dial_click_rotate(dial_knob6,10)
---------------------------------------------------------------------------------
-- Button 01 --------------------------------------------------------------------
fsx_button_function1="PAUSE_TOGGLE"
fsx_button_text1= "PAUSE"
button_position_x1=30
button_position_y1=320

function click_press_callback1()
	fsx_event(fsx_button_function1)
end
txt_button1 = txt_add(fsx_button_text1, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x1+15, button_position_y1-20, 50, 100)
button_id1 = button_add("img_pausebutton_released.png","img_pausebutton_pressed.png",button_position_x1,button_position_y1,80,80,click_press_callback1, nil) --click_release_callback1) 

---------------------------------------------------------------------------------
-- Button 02 --------------------------------------------------------------------
fsx_button_function2="SITUATION_RESET"
fsx_button_text2= "SITUATION RESET"
button_position_x2=130
button_position_y2=320

function click_press_callback2()
	fsx_event(fsx_button_function2)
end
txt_button2 = txt_add(fsx_button_text2, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x2+10, button_position_y2-30, 70, 100)
button_id2 = button_add("img_resetbutton_released.png","img_resetbutton_pressed.png",button_position_x2,button_position_y2,80,80,click_press_callback2, nil) --click_release_callback1) 

---------------------------------------------------------------------------------

-- Button 03 --------------------------------------------------------------------
fsx_button_function3="ADD_FUEL_QUANTITY" 
fsx_button_text3b="+25% FOR EACH KEYPRESS"
fsx_button_text3= "ADD  FUEL"
button_position_x3=240
button_position_y3=320

function click_press_callback3()
	fsx_event(fsx_button_function3)
end
txt_button3 = txt_add(fsx_button_text3, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x3+7, button_position_y3-20, 70, 100)
button_id3 = button_add("img_button_released.png","img_button_pressed.png",button_position_x3,button_position_y3,80,80,click_press_callback3, nil) --click_release_callback1) 
txt_button3b = txt_add(fsx_button_text3b, "-fx-font-size:10px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x3-30, button_position_y3+85, 150, 100)

---------------------------------------------------------------------------------

-- Button 04 --------------------------------------------------------------------
fsx_button_function4="FLIGHT_MAP" 
fsx_button_text4b=""
fsx_button_text4= "FLIGHT MAP"
button_position_x4=265+80
button_position_y4=320

function click_press_callback4()
	fsx_event(fsx_button_function4)
end
txt_button4 = txt_add(fsx_button_text4, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x4+7, button_position_y4-30, 70, 100)
button_id4 = button_add("img_button_released.png","img_button_pressed.png",button_position_x4,button_position_y4,80,80,click_press_callback4, nil) --click_release_callback1) 
txt_button4b = txt_add(fsx_button_text4b, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x4-30, button_position_y4+85, 150, 100)

---------------------------------------------------------------------------------
-- Button 05 --------------------------------------------------------------------
fsx_button_function5="EXIT" 
fsx_button_text5b=""
fsx_button_text5= "EXIT SIM"
button_position_x5=265+200
button_position_y5=320

function click_press_callback5()
	fsx_event(fsx_button_function5)
end
txt_button5 = txt_add(fsx_button_text5, "-fx-font-size:15px; -fx-font-family:Arial; -fx-fill: red; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x5+7, button_position_y5-20, 70, 100)
button_id5 = button_add("img_button_released.png","img_button_pressed.png",button_position_x5,button_position_y5,80,80,click_press_callback5, nil) --click_release_callback1) 
txt_button5b = txt_add(fsx_button_text5b, "-fx-font-size:12px; -fx-font-family:Arial; -fx-fill: black; -fx-font-weight:bold; -fx-text-alignment: CENTER;", button_position_x5-30, button_position_y5+85, 150, 100)

---------------------------------------------------------------------------------